Foxit PDF SDK

Public Member Functions | Public Attributes | Static Public Attributes | List of all members
FSDK.PrintParams Class Reference

## Public Member Functions
| constructor ()
| Constructor.

## Public Attributes
tile_scale | __pad0__: number handling
| The amount that tiled pages are scaled.
| binding
| The value determines the paper binding direction and the page arrange order. Please refer to values starting from FSDK.PrintParams.e_BookletBindingRight and this should be one of these values.
| booklet_duplex_mode
| The value determines the duplex printing mode when printing a booklet.Please refer to values starting from FSDK.PrintParams.e_BookletDuplexModeBothSides and this should be one of these values.
| duplex_type
| Sets the printing duplex mode to simplex, duplex long edge, or duplex short edge feed. Please refer to values starting from FSDK.PrintParams.e_DuplexTypeSimplex and this should be one of these values.
| is_print_as_image
| true means that pages should be printed as image.
| is_print_auto_center
| true means that each page is automatically centered relative to the paper.
| is_print_auto_rotate
| true means that automatically rotates each page to match the page orientation to the available paper area during Multiple Pages Per Sheet printing. false means not.
| is_print_page_border
| A boolean value that if true, draws and prints a page boundary around each of the pages during Multiple Pages Per Sheet printing.
| is_reverse
| true means that the printing order should be from parameter end to parameter start.
| is_show_ui
| true means that a UI should be presented to the user to obtain printing information and confirm the action.
| is_simulate_overprinting
| true means to do overprint preview when printing. false means not.
| is_tile_label
| Label each page of tiled output. Labeled pages indicate row and column, file name, and print date.
| num_copies
| The number of copies to be printed.
| num_pages_h
| The number of pages to lay out in the horizontal direction when printing Multiple Pages Per Sheet.
| num_pages_v
| The number of pages to lay out in the vertical direction when printing Multiple Pages Per Sheet.
| output_file_name
| The device-independent path for a file name to be used instead of sending the print job to the printer (Print to File).
| page_order
| The value determines how the multiple pages are laid out on the sheet. Please refer to values starting from FSDK.PrintParams.e_PageOrderHorizontal and this should be one of these values.
| page_range
| A range object to specify the page range for printing. All the indexes represented in this range would start from 0 and less than page count of the specified document.
| print_content
| Specif content for printing. Please refer to values starting from FSDK.PrintParams.e_PrintContentDocument and this should be one of these values.
| printer_name
| The default printer name for printing.
| tile_mark
| true means to cut the page, and false means not.
| tile_overlap
| The number of points that tiled pages have in common.

## Static Public Attributes
static | e_BookletBindingLeft
| Booklet Binding: Right-side binding for text with right-to-left reading direction or Japanese-style vertical writing. The paper is folded on the short side.
static | e_BookletBindingLeftTall
| Booklet Binding: Left-side binding for Western-style left-to-right reading direction. The paper is folded on the long side producing long and narrow pages.
static | e_BookletBindingRight
| Enumeration for the values used to determine the duplex printing mode when printing a booklet. More...
static | e_BookletBindingRightTall
| Booklet Binding: Right-side binding for text with right-to-left reading direction or Japanese-style vertical writing. The paper is folded on the long side producing long and narrow pages.
static | e_BookletDuplexModeBackSideOnly
| Booklet Duplex Mode: only prints all pages that appear on the back side of the paper.
static | e_BookletDuplexModeBothSides
| Enumeration for the values used to determine the duplex printing mode when printing a booklet. More...
static | e_BookletDuplexModeFrontSideOnly
| Booklet Duplex Mode: only prints all pages that appear on the front side of the paper.
static | e_DuplexTypeDuplexFlipLongEdge
| Duplex type: prints on both sides of the paper; the paper flips along the long edge.
static | e_DuplexTypeDuplexFlipShortEdge
| Duplex type: prints on both sides of the paper; the paper flips along the short edge.
static | e_DuplexTypeSimplex
| Enumeration for the values used to set the printing duplex mode. More...
static | e_PageOrderHorizontal
| Enumeration for the values used to determine how the multiple pages are laid out on the sheet. More...
static | e_PageOrderHorizontalReversed
| Page Order type: pages are placed from right to left, from top to bottom.
static | e_PageOrderVertical
| Page Order type: pages are placed from top to bottom, from left to right.
static | e_PrintContentDocAndAnnots
| Print Content: print the document contents and comments.
static | e_PrintContentDocument
| Enumeration for the values used to set the contents of the print job. More...
static | e_PrintContentFormFieldsOnly
| Print Content: print the contents of form fields only. Useful for printing onto pre-preprinted forms.
static | e_PrintHandlingBooklet
| Print Handling: Prints multiple pages on the same sheet of paper in the order required to read correctly when folded.
static | e_PrintHandlingFitPaper
| Print Handling: Pages are enlarged or shrunk to fit the printe's paper.
static | e_PrintHandlingMultiplePages
| Print Handling: Pages are rescaled to print multiple pages on each printer page.
static | e_PrintHandlingNone
| Enumeration for the values used to determine how the multiple pages are laid out on the sheet. More...
static | e_PrintHandlingReducePaper
| Print Handling: Small pages are printed small, and large pages are shrunk to fit on the printer's paper.
static | e_PrintHandlingTileLargePages
| Print Handling: Small or normal pages are printed in the original size and large pages are printed on multiple sheets of paper.

## Detailed Description

This class represents print parameters.

## Member Data Documentation

## ◆ e_BookletBindingRight

FSDK.PrintParams.e_BookletBindingRight
| static

Enumeration for the values used to determine the duplex printing mode when printing a booklet.

Values of this enumeration should be used alone.

Booklet Binding: Left-side binding for Western-style left-to-right reading direction. The paper is folded on the short side.

## ◆ e_BookletDuplexModeBothSides

FSDK.PrintParams.e_BookletDuplexModeBothSides
| static

Enumeration for the values used to determine the duplex printing mode when printing a booklet.

Values of this enumeration should be used alone.

Booklet Duplex Mode: automatically prints both sides of the paper.

## ◆ e_DuplexTypeSimplex

FSDK.PrintParams.e_DuplexTypeSimplex
| static

Enumeration for the values used to set the printing duplex mode.

Values of this enumeration should be used alone.

Duplex type: prints on one side of the paper.

## ◆ e_PageOrderHorizontal

FSDK.PrintParams.e_PageOrderHorizontal
| static

Enumeration for the values used to determine how the multiple pages are laid out on the sheet.

Values of this enumeration should be used alone.

Page Order type: pages are placed from left to right, from top to bottom.

## ◆ e_PrintContentDocument

FSDK.PrintParams.e_PrintContentDocument
| static

Enumeration for the values used to set the contents of the print job.

Values of this enumeration should be used alone.

Print Content: print the document contents, not comments.

## ◆ e_PrintHandlingNone

FSDK.PrintParams.e_PrintHandlingNone
| static

Enumeration for the values used to determine how the multiple pages are laid out on the sheet.

Values of this enumeration should be used alone.

Print Handling: No page scaling is applied.